﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=8.1
@EndOfDesignText@
'BIGINT, BINARY, BLOB, BLOB_TEXT, BOOL, BOOLEAN, CHAR, CBLOB,
'CURRENCY, DATE, DATETEXT, DATETIME, DEC, DECIMAL, DOUBLE, DOUBLE PRECISION,
'FLOAT, GRAPHIC, GUID, IMAGE, INT, INT64, INTEGER, LARGEINT,
'MEMO, MONEY, NCHAR, NTEXT, NUMBER, NUMERIC, NVARCHAR, NVARCHA2,
'PHOTO, PICTURE, RAW, REAL, SMALLINT, SMALLMONEY, TEXT, TIME,
'TIMESTAMP, TINYINT, UNIQUEIDENTIFIER, VARBINARY, VARCHAR, VARCHAR2,
'WORD

'Static code module
Sub Process_Globals
	Private fx As JFX

	Public DBSqliteBXTypes As Map
	Public DB As SQL
	Private mDBDir, mDBFileName As String
	Private FakeB4xTable As B4XTable
	
End Sub

Public Sub Init(DBDir As String, DBFileName As String, DeleteIfExists As Boolean)
	mDBDir = DBDir
	mDBFileName = DBFileName
	
	If DeleteIfExists Then
		If File.Exists(mDBDir, mDBFileName) Then
			File.Delete(mDBDir, mDBFileName) ' to test
		End If
	End If
	
	If Not(File.Exists(mDBDir, mDBFileName)) Then
		File.Copy(File.DirAssets, mDBFileName, File.DirApp, mDBFileName)
	End If
	DB.InitializeSQLite(mDBDir, mDBFileName, False)
	
	DBSqliteBXTypes.Initialize
	FakeB4xTable.Initialize(Me, "")

	' BX COLUMN_TYPE_NUMBERS
	DBSqliteBXTypes.Put("BIGINT", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("BINARY", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("BOOL", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("BOOLEAN", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("CURRENCY", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("DEC", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("DECIMAL", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("DOUBLE", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("DOUBLE PRECISION", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("FLOAT", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("INT", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("INT64", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("INTEGER", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("LARGEINT", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("MONEY", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("NUMBER", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("NUMERIC", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("REAL", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("SMALLINT", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("SMALLMONEY", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("TINYINT", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	'BX Date
	DBSqliteBXTypes.Put("DATE", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("DATETIME", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("TIME", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	DBSqliteBXTypes.Put("TIMESTAMP", FakeB4xTable.COLUMN_TYPE_NUMBERS)
	'BX all other
	DBSqliteBXTypes.Put("ALLOTHER", FakeB4xTable.COLUMN_TYPE_TEXT)
End Sub



